### Method

# Gtk Widgetadd_css_class

#### Declaration [src]

    void
    gtk_widget_add_css_class (
      GtkWidget* widget,
      const char* css_class
    )

#### Description [src]

Adds a style class to `widget`.

After calling this function, the widget’s style will match for `css_class`, according to CSS matching rules.

Use `gtk_widget_remove_css_class()` to remove the style again.

#### Parameters

`css_class`

  Type: `const char*`

  The style class to add to `widget`, without the leading ‘.’ used for notation of style classes.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.